metricsprofile
Configuration for Metrics profile resource.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Name for the metrics profile. Must begin with an ASCII alphabetic or underscore (_) character, and must contain only ASCII alphanumeric, underscore, hash (#), period (.), space, colon (:), at
(@), equals (=), and hyphen (-) characters.!.
Minimum length = 1
Maximum length = 127
|
| collector | <String> | Read-write | The collector should be a HTTP/HTTPS service. .
Minimum length = 1
|
| outputmode | <String> | Read-write | This option indicates the format in which metrics data is generated.
Default value: avro,
Possible values = avro, prometheus, influx, json
|
| metrics | <String> | Read-write | This option is used enable or disable metrics .
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| servemode | <String> | Read-write | This option is to configure metrics pull or push mode. In push mode metricscollector exports metrics to configured collector. In pull mode, metricscollector only generates the metrics which will be pulled by external agent. No collector configuration is required in pull mode and it is applicable only for output mode Prometheus.
Default value: Push
Possible values = Push, Pull
|
| schemafile | <String> | Read-write | This option is for configuring json schema file containing a list of counters to be exported by metricscollector. Schema file should be present under /var/metrics_conf path.
Maximum length = 64
|
| metricsexportfrequency | <Integer> | Read-write | This option is for configuring the metrics export frequency in seconds, frequency value must be in [30,300] seconds range.
Default value: 30
Minimum value = 30
Maximum value = 300
|
| metricsauthtoken | <String> | Read-write | Token for authenticating with the endpoint. If the endpoint requires the Authorization header in a particular format, specify the complete format as the value to this parameter. For eg., in case of splunk, the Authorizaiton header is required to be of the form - Splunk <auth-token>.
Maximum length = 512
|
| metricsendpointurl | <String> | Read-write | The URL at which to upload the metrics data on the endpoint.
Maximum length = 256
|
| refcnt | <Integer> | Read-only | The number of references to the profile. |
| _nextgenapiresource | <String> | Read-only | . |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- UPDATE
- UNSET
- DELETE
- GET (ALL)
- GET
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"metricsprofile":{
<b>"name":<String_value>,
</b>"collector":<String_value>,
"outputmode":<String_value>,
"metrics":<String_value>,
"servemode":<String_value>,
"schemafile":<String_value>,
"metricsexportfrequency":<Integer_value>,
"metricsauthtoken":<String_value>,
"metricsendpointurl":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
update
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"metricsprofile":{
<b>"name":<String_value>,
</b>"collector":<String_value>,
"outputmode":<String_value>,
"metrics":<String_value>,
"servemode":<String_value>,
"schemafile":<String_value>,
"metricsexportfrequency":<Integer_value>,
"metricsauthtoken":<String_value>,
"metricsendpointurl":<String_value>
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
unset
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? action=unset HTTP Method: POST
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{"metricsprofile":{
<b>"name":<String_value>,
</b>"collector":true,
"outputmode":true,
"metrics":true,
"servemode":true,
"schemafile":true,
"metricsexportfrequency":true,
"metricsauthtoken":true,
"metricsendpointurl":true
}}
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile/ name_value<String> HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
filter http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? filter=property-name1:property-val1,property-name2:property-val2
Use this query-parameter to get the filtered set of metricsprofile resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
view http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? view=summary
Use this query-parameter to get the summary output of metricsprofile resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
pagination http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? pagesize=#no;pageno=#no
Use this query-parameter to get the metricsprofile resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "metricsprofile": [ {
"name":<String_value>,
"collector":<String_value>,
"refcnt":<Integer_value>,
"outputmode":<String_value>,
"metrics":<String_value>,
"servemode":<String_value>,
"schemafile":<String_value>,
"metricsexportfrequency":<Integer_value>,
"metricsauthtoken":<String_value>,
"metricsendpointurl":<String_value>,
"_nextgenapiresource":<String_value>
}]}
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile/ name_value<String> Query-parameters: attrs http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile/ name_value<String> ? attrs=property-name1,property-name2
Use this query parameter to specify the resource details that you want to retrieve.
view http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile/ name_value<String> ? view=summary
Use this query-parameter to get the summary output of metricsprofile resources configured on NetScaler.
Note: By default, the retrieved results are displayed in detail view (?view=detail).
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "metricsprofile": [ {
"name":<String_value>,
"collector":<String_value>,
"refcnt":<Integer_value>,
"outputmode":<String_value>,
"metrics":<String_value>,
"servemode":<String_value>,
"schemafile":<String_value>,
"metricsexportfrequency":<Integer_value>,
"metricsauthtoken":<String_value>,
"metricsendpointurl":<String_value>,
"_nextgenapiresource":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/metricsprofile? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "metricsprofile": [ { "__count": "#no"} ] }